Page MenuHomeAleph Objects Inc

Smoke Test 3.2.31
Closed, ResolvedPublic

Description

3.2.31 is ready for smoke testing on all platforms

Event Timeline

karrad created this task.Oct 31 2018, 12:29 PM
karrad triaged this task as Normal priority.
karrad created this object with edit policy "Cura LulzBot Edition (Project)".
jebba added a subscriber: jebba.Oct 31 2018, 3:31 PM

When I try to install this on Debian stretch, it doesn't work. There is a broken dependency for libssl1.0.0.

 # apt install cura-lulzbot
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 cura-lulzbot : Depends: libssl1.0.0 but it is not installable
E: Unable to correct problems, you have held broken packages.

These are libssl packages in Stretch:

# apt-cache search libssl|grep ^libssl
libssl-ocaml - OCaml bindings for OpenSSL (runtime)
libssl-ocaml-dev - OCaml bindings for OpenSSL
libssl-dev - Secure Sockets Layer toolkit - development files
libssl-doc - Secure Sockets Layer toolkit - development documentation
libssl1.1 - Secure Sockets Layer toolkit - shared libraries
libssl1.0-dev - Secure Sockets Layer toolkit - development files
libssl1.0.2 - Secure Sockets Layer toolkit - shared libraries
jebba added a subscriber: alexei.Oct 31 2018, 3:57 PM

@alexei tried a fix in 3.2.31, but has same error.

1cbb249934eb was the attempted fix in 3.2.31 which may not have gotten pushed to the build. The error was introduced (per @alexei ) at 0c31087fbd38.

jebba added a comment.Oct 31 2018, 4:01 PM

I tested build 409 of 3.2.31, there is a new build 410 of 3.2.31 forthcoming...

jebba added a comment.Oct 31 2018, 4:05 PM

Ok, the latest 3.2.31 build fixes the libssl error.

jebba renamed this task from Smoke Test 3.2.30 to Smoke Test 3.2.31.Oct 31 2018, 4:05 PM
jebba updated the task description. (Show Details)
Yahuba added a comment.Nov 2 2018, 1:26 PM

Completed smoke testing across the following platforms and configurations:

PRINTER | OS | Resolution | toolhead | Result
Mini 2 | Mac OS X High Sierra | 4096x2304 | LulzBot Mini 2 Aerostruder v2 Tool Head (SE 0.5mm) | pass
Mini 2 | Mac OS X High Sierra | 4096x2304 | LulzBot Mini 2 Aerostruder v2 Micro Tool Head (SL 0.25mm) | pass
Taz 6 | Mac OS X Sierra | 4096x2304 | LulzBot TAZ 6 Flexystruder v2 Tool Head | pass

Mini Mac OS X El Capitan | 1920x1080 | LulzBot Mini Single Extruder Tool Head v2.1 | pass
Mini Mac OS X El Capitan | 1344x756 | LulzBot Mini Single Extruder Tool Head v2.1 | pass
Taz 6 | Mac OS X El Capitan | 1920x1080 | LulzBot TAZ Single Extruder Tool Head v2.1 | pass
Taz 6 | Mac OS X El Capitan | 1344x756 | LulzBot TAZ Single Extruder Tool Head v2.1 | pass

Mini (LCD) | Win 10 | 1920x1080 | LulzBot Mini Flexy Struder Tool Head v2.1 | pass
Mini (LCD) | Win 10 | 1366x768 | LulzBot Mini Flexy Struder Tool Head v2.1 | pass
Taz 6 | Win 10 | 1920x1080 | LulzBot TAZ Dual Extruder Tool Head v3 | pass
Taz 6 | Win 10 | 1366x768 | LulzBot TAZ Dual Extruder Tool Head v3 | pass

Mini (LCD) | Win 7 | 1920x1080 | LulzBot Mini Single Extruder Tool Head v2.1 | pass
Mini (LCD) | Win 7 | 1280x720 | LulzBot Mini Single Extruder Tool Head v2.1 | pass
Taz 6 | Win 7 | 1920x1080 | LulzBot TAZ Dual Extruder Tool Head v3 | pass
Taz 6 | Win 7 | 1280x720 | LulzBot TAZ Dual Extruder Tool Head v3 | pass

Mini Ubuntu Xenial | 1920x1080 | LulzBot Mini Aerostruder v1 Tool Head | pass
Mini Ubuntu Xenial | 1152x864 | LulzBot Mini Aerostruder v1 Tool Head | pass
Taz 6 | Ubuntu Xenial | 1920x1080 | LulzBot TAZ Dual Extruder Tool Head v2 | pass
Taz 6 | Ubuntu Xenial | 1152x864 | LulzBot TAZ Dual Extruder Tool Head v2 | pass

Mini | Ubuntu Aardvark | 1920x1080 |LulzBot Mini Aerostruder v1 Tool Head | pass
Mini | Ubuntu Aardvark | 1152x864 | LulzBot Mini Aerostruder v1 Tool Head | pass
Taz 6 | Ubuntu Aardvark | 1920x1080 | LulzBot TAZ Dual Extruder Tool Head v2 | pass
Taz 6 | Ubuntu Aardvark | 1152x864 | LulzBot TAZ Dual Extruder Tool Head v2 | pass

Mini (LCD) | Debian Stretch | 1920x1080 | LulzBot Mini Single Extruder v2.1 Tool Head | fail - T4367
Mini (LCD) | Debian Stretch | 1152x864 | LulzBot Mini Macro Extruder (HS 0.8mm) | fail - T4367
Taz 6 | Debian Stretch | 1920x1080 | LulzBot TAZ MOARstruder Tool Head | fail - T4367
Taz 6 | Debian Stretch | 1152x864 | LulzBot TAZ 6 Mini-MOAR Tool Head (HS+ 1.22mm) | fail - T4367

All tests pass with the exception of the issue reported in T4367 on Debian builds. There were some additional issue with the mini-moar HS+ 1.22mm toolhead mounted on Taz 6 in Debian. Going to see if I can replicate issue on different Taz 6 printer because it could be a hardware issue. Will create ticket and update this one with that ticket info.

@Yahuba Thanks for the quick turn around, closing this one out. We will continue to monitor T4367

karrad closed this task as Resolved.Nov 7 2018, 10:42 AM